Subject: RE: Bug in Cygwin-1.1.4 - cannot fork: No more processes
From: Bernard Dautrevaux <[email-masked]>
To: "'Guy T. Moore Jr.'" <[email-masked]>
Cc: "GnuWin32 Mailing List (Adresse de messagerie)" <[email-masked]>
Date: Fri, 6 Oct 2000 10:41:48 +0200

> -----Original Message-----
> From: Guy T. Moore Jr. [mailto:[email-masked]]
> Sent: Friday, October 06, 2000 1:37 AM
> To: [email-masked]
> Subject: Bug in Cygwin-1.1.4 - cannot fork: No more processes 
> 
> 
> Bernard,
> 
> Did you ever get any type of solution/workaround for this problem?

No, short of closing th eCygwin bash window :-(

> 
> I get similar errors of 
> 
> 	"make[5]: execvp: c:/Cygwin/bin/bash.exe: No more processes"
> 
>  and am trying to narrow down a small test case so that the 
> Cygwin group can assist. 

Note that once I've got this error on B20.1 I usually can no more run *any*
command in the bash window; on cygwin-1.1.4 it seems a bit better as I can
run commands, but make runs will crash quite soon :-(

> 
> It appears that when I go 6 shell levels deep that the problem
> occurs but I am unable to replicate, thus  far in a small test case...

May be due effectively to deep sh (ash in fact) nesting; looks like the
shared data section managed by cygwin1.dll gets corrupted one way or
another, perhaps when accessed in parallel by different threads/processes
(see below).

Note that the problem (in B20.1, I've never tried that in 1.1.4) seems a lot
more frequent if you open several bash windows to run jobs in parallel, to
the point I've had to advise users of my tools on NT *not* to open more than
one bash window as this eases things a lot: less crashes :-)

I'll try to set up again a cygwin-1.1.4 environment (My users are still
under B20.1 and th eversion of tools they use are not yet compatible with
1.1.4 -- they don't grok the /cygdrive/ prefix--, so I have to stay with
this one for a while) to test this on 1.1.4 and I'll keep you informed.

> 
> Guy Moore
> OpenMarket

HTH,

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Want to unsubscribe from this list?
Send a message to [email-masked]